Files
@ 8169770a4f2c
Branch filter:
Location: kallithea/scripts/validate-commits - annotation
8169770a4f2c
1.4 KiB
text/plain
ini: fix spelling of the CELERY_TASK_SERIALIZER
It has "always" been wrong, and we have thus been using the default of "pickle"
- not "json" as we thought.
I doubt this change has any immediate visible impact. I guess it only means
that it will use json for results instead of pickle. That might be more stable
and debuggable.
Note: celery_config will uppercase the config settings and replace '.' with
'_', so 'celery.result.serializer' turns into 'CELERY_TASK_SERIALIZER'.
CELERY_TASK_SERIALIZER is described on
https://docs.celeryproject.org/en/3.1/configuration.html#celery-result-serializer
https://docs.celeryproject.org/en/3.1/userguide/calling.html#serializers
It has "always" been wrong, and we have thus been using the default of "pickle"
- not "json" as we thought.
I doubt this change has any immediate visible impact. I guess it only means
that it will use json for results instead of pickle. That might be more stable
and debuggable.
Note: celery_config will uppercase the config settings and replace '.' with
'_', so 'celery.result.serializer' turns into 'CELERY_TASK_SERIALIZER'.
CELERY_TASK_SERIALIZER is described on
https://docs.celeryproject.org/en/3.1/configuration.html#celery-result-serializer
https://docs.celeryproject.org/en/3.1/userguide/calling.html#serializers
37ac2ac0a9ae 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 d9e37f7fd35b 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 69f70de15f26 | #!/bin/bash
# Validate the specified commits against test suite and other checks.
if [ -n "$VIRTUAL_ENV" ]; then
echo "Please run this script from outside a virtualenv."
exit 1
fi
if ! hg update --check -q .; then
echo "Working dir is not clean, please commit/revert changes first."
exit 1
fi
venv=$(mktemp -d kallithea-validatecommits-env-XXXXXX)
resultfile=$(mktemp kallithea-validatecommits-result-XXXXXX)
echo > "$resultfile"
cleanup()
{
rm -rf /tmp/kallithea-test*
rm -rf "$venv"
}
finish()
{
cleanup
# print (possibly intermediate) results
cat "$resultfile"
rm "$resultfile"
}
trap finish EXIT
for rev in $(hg log -r "$1" -T '{node}\n'); do
hg log -r "$rev"
hg update "$rev"
cleanup
virtualenv -p "$(command -v python2)" "$venv"
source "$venv/bin/activate"
pip install --upgrade pip setuptools
pip install -e . -r dev_requirements.txt python-ldap python-pam
# run-all-cleanup
scripts/run-all-cleanup
if ! hg update --check -q .; then
echo "run-all-cleanup did not give clean results!"
result="NOK"
hg diff
hg revert -a
else
result=" OK"
fi
echo "$result: $rev (run-all-cleanup)" >> "$resultfile"
# pytest
if py.test; then
result=" OK"
else
result="NOK"
fi
echo "$result: $rev (pytest)" >> "$resultfile"
deactivate
echo
done
|